GetAutomationExecution
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AutomationExecution.GetAutomationExecution(ctx, operations.C1APIAutomationsV1AutomationExecutionServiceGetAutomationExecutionRequest{
ID: 728203,
})
if err != nil {
log.Fatal(err)
}
if res.GetAutomationExecutionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automationExecution.getAutomationExecution({
id: 61036,
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/automation_executions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/automation_executions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/automation_executions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"automationExecution": {
"automationTemplateId": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"context": {
"context": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"duration": "<string>",
"id": "<string>",
"isDraft": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"expanded": [
{
"@type": "<string>"
}
],
"view": {
"automationExecution": {
"automationTemplateId": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"context": {
"context": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"duration": "<string>",
"id": "<string>",
"isDraft": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"automationExecutionTriggerPath": "<string>",
"automationPath": "<string>"
}
}Automations
Get Automation Execution
Retrieve a single automation execution by its unique identifier, with optional expanded related objects.
GET
/
api
/
v1
/
automation_executions
/
{id}
GetAutomationExecution
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AutomationExecution.GetAutomationExecution(ctx, operations.C1APIAutomationsV1AutomationExecutionServiceGetAutomationExecutionRequest{
ID: 728203,
})
if err != nil {
log.Fatal(err)
}
if res.GetAutomationExecutionResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automationExecution.getAutomationExecution({
id: 61036,
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique identifier of the automation execution to retrieve.
Response
200 - application/json
Successful response
The GetAutomationExecutionResponse message.
The AutomationExecution message.
Show child attributes
Show child attributes
Related objects requested via the expand mask.
Show child attributes
Show child attributes
The AutomationExecutionView message.
Show child attributes
Show child attributes
Was this page helpful?
⌘I